<?php
/**
 * 用于前端查询付款结果，返回一个json响应，前端依据结果自动进行跳转
 *
 * Company: 未来很美（深圳）科技有限公司 site: www.will-nice.com
 * Developer: 云客【云游天下，做客四方】 site: www.indrupal.com
 * 微信号：indrupal
 * Email：phpworld@qq.com
 *
 */

namespace Drupal\commerce_wechat\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\JsonResponse;


class PaymentCheck extends ControllerBase {

  /**
   * 查询支付结果
   *
   * @param $paymentID  string 支付ID
   *
   * @return JsonResponse
   */
  public function index($paymentID) {
    $paymentID = (int) $paymentID;
    $payment = \Drupal::entityTypeManager()->getStorage('commerce_payment')->load($paymentID);
    if (empty($payment)) {
      return new JsonResponse(['state' => 'FAIL', "message" => $this->t("Payment doesn't exist")]);
    }
    $state = $payment->getState()->getId();
    if ($state == 'completed') {
      return new JsonResponse(['state' => 'SUCCESS', "message" => $this->t("pay success")]);
    }
    else {
      return new JsonResponse(['state' => 'FAIL', "message" => $this->t("pay fail")]);
    }
  }

}
